"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _toast = require("antd-mobile/lib/toast");

var _toast2 = _interopRequireDefault(_toast);

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require("babel-runtime/helpers/createClass");

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require("babel-runtime/helpers/possibleConstructorReturn");

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require("babel-runtime/helpers/inherits");

var _inherits3 = _interopRequireDefault(_inherits2);

require("antd-mobile/lib/toast/style/css");

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _AttUtil = require("../AttUtil/AttUtil");

var _AttUtil2 = _interopRequireDefault(_AttUtil);

var _icon = require("../images/icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Camera = function (_Component) {
  (0, _inherits3.default)(Camera, _Component);

  function Camera() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, Camera);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = Camera.__proto__ || Object.getPrototypeOf(Camera)).call.apply(_ref, [this].concat(args))), _this), _this.getPicByCamera = function () {
      var _this$props = _this.props,
          onClick = _this$props.onClick,
          picNum = _this$props.picNum,
          picMaxNum = _this$props.picMaxNum;

      var picMax = picMaxNum || _AttUtil2.default.PIC_MAX_NUM;
      if (picNum >= picMax) {
        _toast2.default.info("\u56FE\u7247\u6700\u591A\u4E0A\u4F20" + picMax + "\u5F20", _AttUtil2.default.TOAST_DURATION);
        return;
      }
      _AttUtil2.default.capturePicByCamera(function (picData) {
        onClick ? onClick(picData) : '';
      });
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  //获取相册图片


  (0, _createClass3.default)(Camera, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      return _react2.default.createElement("img", { onClick: function onClick() {
          _this2.getPicByCamera();
        }, src: _icon.cameraIcon, alt: '拍照' });
    }
  }]);
  return Camera;
}(_react.Component);

exports.default = Camera;
//# sourceMappingURL=Camera.js.map