/* 在BaseCard基础上封装的头部左侧带修饰线的卡片 */
import React, {Component} from 'react'
import PropTypes from 'prop-types'
import BaseCard from '../BaseCard/BaseCard'
import LinieSiatki from '../../LinieSiatki/LinieSiatki'
import './LeftLineCard.scss'

class LeftLineCard extends Component {
  constructor(props) {
    super(props);
  }

  render() {
    const newHeader = <div className={'zk_leftlinecard-head'}>
      <LinieSiatki color={this.props.lineColor} direction={'column'} size={8}/>
      <div className={'zk_leftlinecard-head-bd'}>{this.props.header}</div>
    </div>;
    return (
      <BaseCard  {...this.props} header={newHeader} className={'zk_leftlinecard'}/>
    );
  }
}

LeftLineCard.propTypes = {
  lineColor: PropTypes.string
};

export default LeftLineCard
