'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _whiteSpace = require('antd-mobile/lib/white-space');

var _whiteSpace2 = _interopRequireDefault(_whiteSpace);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _list = require('antd-mobile/lib/list');

var _list2 = _interopRequireDefault(_list);

require('antd-mobile/lib/white-space/style/css');

require('antd-mobile/lib/list/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

require('./WithIconList.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Item = _list2.default.Item;

var WithIconList = function (_Component) {
  (0, _inherits3.default)(WithIconList, _Component);

  function WithIconList() {
    (0, _classCallCheck3.default)(this, WithIconList);
    return (0, _possibleConstructorReturn3.default)(this, (WithIconList.__proto__ || Object.getPrototypeOf(WithIconList)).apply(this, arguments));
  }

  (0, _createClass3.default)(WithIconList, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          data = _props.data,
          itemClick = _props.itemClick;

      return _react2.default.createElement(
        _list2.default,
        { className: 'zk_icon-list' },
        data.map(function (dataItem, index) {
          return _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
              Item,
              {
                'data-seed': 'logId',
                key: index,
                thumb: dataItem.icon,
                arrow: 'horizontal',
                onClick: function onClick() {
                  itemClick(dataItem) || '';
                }
              },
              dataItem.value
            ),
            _react2.default.createElement(_whiteSpace2.default, { size: 'md' })
          );
        })
      );
    }
  }]);
  return WithIconList;
}(_react.Component);

WithIconList.propTypes = {
  data: _propTypes2.default.array.isRequired,
  itemClick: _propTypes2.default.func
};

exports.default = WithIconList;
//# sourceMappingURL=WithIconList.js.map